import { ChangeDetectionStrategy, Component, input, model, output } from '@angular/core';

import { ButtonComponent } from '../../../../../../../../shared/components/button/button.component';
import { IconButtonComponent } from '../../../../../../../../shared/components/icon-button/icon-button.component';

@Component({
  selector: 'app-ticket',
  imports: [ButtonComponent, IconButtonComponent],
  templateUrl: './ticket.component.html',
  styleUrl: './ticket.component.scss',
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class TicketComponent {
  readonly title = input('ENTRADA GENERAL');
  readonly ticketId = input.required<string | number>();
  readonly date = input<string | null>(null);
  readonly disabled = input(false);
  readonly expired = input(false);
  readonly isGeneratingPdf = input(false);
  readonly selected = model(false);

  readonly viewQr = output<void>();
  readonly download = output<void>();
  readonly share = output<void>();
}
